# $Id: Makefile.am,v 1.2 2002/03/22 16:04:37 felfert Exp $

plugindir = $(pkgdatadir)/plugins

plugin_LTLIBRARIES = tcpplugin.la localplugin.la

tcpplugin_la_LDFLAGS = -avoid-version -module -no-undefined $(all_libraries)
tcpplugin_la_LIBADD = $(LIB_QT)
tcpplugin_la_SOURCES = tcpplugin.cpp
tcpplugin_la_METASOURCES = tcpplugin.moc

localplugin_la_LDFLAGS = -avoid-version -module -no-undefined $(all_libraries)
localplugin_la_LIBADD = $(LIB_QT)
localplugin_la_SOURCES = localplugin.cpp
localplugin_la_METASOURCES = localplugin.moc

noinst_HEADERS = generic_cpp.h generic_h.h tcpplugin.h localplugin.h

INCLUDES= -I$(top_srcdir)/qlcrash $(all_includes)

DISTCLEANFILES = \
	$(tcpplugin_la_METASOURCES) \
	$(localplugin_la_METASOURCES) *~ .\#*

MAINTAINERCLEANFILES = Makefile.in

KDE_OPTIONS = qtonly
